Debian Bug report logs - #692409
ITP: libconstant-defer-perl -- Perl module providing constant subs with deferred value calculation

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Florian Schlichting <fschlich@zedat.fu-berlin.de>

Date: Mon, 5 Nov 2012 20:39:02 UTC

Owned by: Florian Schlichting <fschlich@zedat.fu-berlin.de>

Severity: wishlist

Fixed in version libconstant-defer-perl/5-1

Done: Florian Schlichting <fschlich@zedat.fu-berlin.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#692409; Package wnpp. (Mon, 05 Nov 2012 20:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Schlichting <fschlich@zedat.fu-berlin.de>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org. (Mon, 05 Nov 2012 20:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Florian Schlichting <fschlich@zedat.fu-berlin.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libconstant-defer-perl -- Perl module providing constant subs with deferred value calculation
Date: Mon, 05 Nov 2012 21:33:57 +0100
Package: wnpp
Severity: wishlist
Owner: Florian Schlichting <fschlich@zedat.fu-berlin.de>

* Package name    : libconstant-defer-perl
  Version         : 5
  Upstream Author : Kevin Ryde <user42@zip.com.au>
* URL             : http://search.cpan.org/dist/constant-defer/
* License         : GPL-3+
  Programming Lang: Perl
  Description     : Perl module providing constant subs with deferred value calculation

constant::defer creates constants like constant.pm, but with the value
calculated only on the first call.  This can save work for values only
needed sometimes.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 16 Nov 2012 07:06:07 GMT) Full text and rfc822 format available.

Reply sent to Florian Schlichting <fschlich@zedat.fu-berlin.de>:
You have taken responsibility. (Sat, 17 Nov 2012 11:03:26 GMT) Full text and rfc822 format available.

Notification sent to Florian Schlichting <fschlich@zedat.fu-berlin.de>:
Bug acknowledged by developer. (Sat, 17 Nov 2012 11:03:26 GMT) Full text and rfc822 format available.

Message #12 received at 692409-close@bugs.debian.org (full text, mbox):

From: Florian Schlichting <fschlich@zedat.fu-berlin.de>
To: 692409-close@bugs.debian.org
Subject: Bug#692409: fixed in libconstant-defer-perl 5-1
Date: Sat, 17 Nov 2012 11:00:08 +0000
Source: libconstant-defer-perl
Source-Version: 5-1

We believe that the bug you reported is fixed in the latest version of
libconstant-defer-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 692409@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Florian Schlichting <fschlich@zedat.fu-berlin.de> (supplier of updated libconstant-defer-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 15 Nov 2012 23:43:13 +0100
Source: libconstant-defer-perl
Binary: libconstant-defer-perl
Architecture: source all
Version: 5-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Florian Schlichting <fschlich@zedat.fu-berlin.de>
Description: 
 libconstant-defer-perl - Perl module providing constant subs with deferred value calculati
Closes: 692409
Changes: 
 libconstant-defer-perl (5-1) unstable; urgency=low
 .
   * Initial Release. (Closes: #692409)
Checksums-Sha1: 
 ee1fbbf584c0065eff2c33c6d74e0bf0c4a2d4dd 2095 libconstant-defer-perl_5-1.dsc
 19517419f19d8020591111713a86328e488e9783 42516 libconstant-defer-perl_5.orig.tar.gz
 b2af5dee5b7c710aed7c2a4286b359775cf026e8 1350 libconstant-defer-perl_5-1.debian.tar.gz
 38b7191157258be4e0e101cb9a1a1c825f9dfb96 15606 libconstant-defer-perl_5-1_all.deb
Checksums-Sha256: 
 8d737e2fb73396302589db7cc078c7bc41332e0168768315d211cd1fc5d27dae 2095 libconstant-defer-perl_5-1.dsc
 985fe4be377dc58d424dd3e6be1cab81f7ef4a75730d99298d94476aace0d215 42516 libconstant-defer-perl_5.orig.tar.gz
 6c84b33470bfca736c2539cedf396ab15cf163f3ee8debb411ffb5919203c784 1350 libconstant-defer-perl_5-1.debian.tar.gz
 203db49624fbae820777728b4c5ae3c7fa5ea08dcbacb4315c70881c62310d63 15606 libconstant-defer-perl_5-1_all.deb
Files: 
 e209d3338f7811dfebe190c867cb4f17 2095 perl optional libconstant-defer-perl_5-1.dsc
 519232b64896395b84b41f5300d1cab3 42516 perl optional libconstant-defer-perl_5.orig.tar.gz
 9ef77fe7c66486b540839168b3dec5a1 1350 perl optional libconstant-defer-perl_5-1.debian.tar.gz
 046166bfdebb7b318fd90263a9919132 15606 perl optional libconstant-defer-perl_5-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQpX5PAAoJELs6aAGGSaoGyuIP/itGZoD1l228D46RXOLFEZ3Q
dDKsW8rxYDLJPHsrH578tfniG1VCBibS+bI5ULVrnS5u5m4OZ5o4myTxuzLum0e9
AKpPjM1BhHOyjiY3weEM5B12nsw1CZsm/KcHdXXZBVzzZ5Bj/dj6g95GWTN3BakY
3Ww/f/bfDb3dYtnIrSCFBtRes1TQlE0uUlUnCX/miCXqciL3g96NutFYiwoawTmP
7FuJD6L/dlz9Ll2WU0KddI1/6iAAdGPcnb0TH1xlgZRhMoqtXPf9cQzAU/jbgO2b
uoyaDZQ4bOPneBN5Ynv10gzDTAMEc8h0NMS8YC6UITn8MfLLeLMkfrVhrUDn4z6E
Lhzxvd8D08zELxvk+WCfZSfdJ20hKBJTPZ/gVox4yuFuUqRjK+i2KJTxJDqRpy6W
FhVDI7O+fzs9/Qvp0reDBXTvfCEEw9fBXIu2gKOPP2UmPU168XbJeseehtYELLNg
d23K9SdrhcMbI21kCaCnC9q1IMeJX8A3UVi0I2kYCRHx5JugckSv6DA87GMB48Sq
zo5CNHt85FvBfkdG6HE6BlyCzqTDXnNlm1fb2xPE+Wlq+0mATGQA38W7dpsr6So2
wk6rIJpV4HLkqpuYbxPBzk+UUMTf15tTiJMvBdCu9NvOEmFae7qGjZinG6xvInLc
iLYION5YECeyWjFS7TGp
=nquE
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 16 Dec 2012 07:25:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:17:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.